%global pypi_name taskflow

Summary:        %{pypi_name} structured state management library.
Name:           python-%{pypi_name}
Version:        5.1.0
Release:        2%{?dist}
License:        Apache-2.0
URL:            https://docs.openstack.org/%{pypi_name}/latest/
Source0:        %{pypi_source}

BuildArch:      noarch

%description
A library to do [jobs, tasks, flows] in a highly available, easy to understand and declarative
manner (and more!) to be used with OpenStack and other projects.

%package -n python3-%{pypi_name}
Summary:        %{pypi_name} structured state management library.
Provides:       python-%{pypi_name}
BuildRequires: python3-devel python3-setuptools python3-pbr python3-pip python3-wheel python3-automaton
BuildRequires: python3-cachetools python3-fasteners python3-futurist python3-jsonschema python3-networkx
BuildRequires: python3-oslo-serialization python3-oslo-utils python3-pydot python3-six python3-stevedore
BuildRequires: python3-tenacity python3-PyMySQL python3-sqlalchemy python3-SQLAlchemy-Utils python3-alembic
BuildRequires: python3-psycopg2 python3-eventlet python3-redis python3-pytest python3-kombu python3-kazoo python3-zake
Requires: python3-automaton python3-cachetools python3-fasteners python3-futurist python3-jsonschema
Requires: python3-networkx python3-oslo-serialization python3-oslo-utils python3-pbr python3-pydot python3-six
Requires: python3-stevedore python3-tenacity python3-PyMySQL python3-sqlalchemy python3-SQLAlchemy-Utils
Requires: python3-alembic python3-psycopg2 python3-eventlet python3-redis python3-kombu python3-kazoo python3-zake

%description -n python3-%{pypi_name}
A library to do [jobs, tasks, flows] in a highly available, easy to understand and declarative
manner (and more!) to be used with OpenStack and other projects.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
cp -arf doc %{buildroot}/%{_pkgdocdir}

%files -n python3-%{pypi_name}
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/*.egg-info
%{_docdir}/*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.1.0-2
- Rebuilt for loongarch release

* Wed Sep 27 2023 Wang Guodong <gordonwwang@tencent.com> - 5.1.0-1
- Upgrade to version 5.1.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.6.0-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.6.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.6.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 18 2023 Shuo Wang <abushwang@tencent.com> - 4.6.0-1
- initial build
